%bcond_with SDL2

Summary: The zziplib library is intentionally a lightweight interface to zip files.
Name:    zziplib
Version: 0.13.78
Release: 2%{?dist}
License: LGPLv2+ or MPLv1.1
URL:     https://github.com/gdraheim/zziplib
Source0: https://github.com/gdraheim/zziplib/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make gcc cmake pkgconfig
BuildRequires: zip zlib-devel
%if %{with SDL2}
BuildRequires: SDL2-devel
%endif

%description
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

%package utils
Summary:  Utilities for the zziplib library
Requires: %{name} = %{version}-%{release}

%description utils
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This packages contains all the utilities that come with the zziplib library.


%package devel
Summary:  Development files for the zziplib library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig zlib-devel
%if %{with SDL2}
Requires: SDL2-devel
%endif

%description devel
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains files required to build applications that will use the
zziplib library.

%prep
%setup -q

%build
%cmake -B %{_vpath_builddir}

%make_build -C %{_vpath_builddir}

%install
%make_install -C %{_vpath_builddir}
find %{buildroot} -name "*.la" -exec rm -rf {} \;
rm -rf %{buildroot}%{_libdir}/cmake

%check
make check -C %{_vpath_builddir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc docs/COPYING* ChangeLog README TODO
%{_libdir}/*.so.*

%files utils
%{_bindir}/*

%files devel
%doc docs/README.SDL docs/*.htm
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.78-2
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Wed Aug 28 2024 Upgrade Robot <upbot@opencloudos.tech> - 0.13.78-1
- [Type] Security
- [Desc] Upgrade to version 0.13.78 to fix CVE-2024-39133 and CVE-2024-39134.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.72-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.72-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.72-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.72-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 09 2022 rockerzhu <rockerzhu@tencent.com> - 0.13.72-2
- Disable SDL2 by default

* Fri Apr 08 2022 rockerzhu <rockerzhu@tencent.com> - 0.13.72-1
- Initial 0.13.72
